Returns results of a full-text search query. Projects/publications unavailable to the user sending request will be skipped. For unauthorized users, returns results from public publications only.
GET search?count={search-results-count}&projectIds={id1, id2}&lang={lang-code}&isReturnSnippets={return-snippets}&q={search-query}
Authentication
This request can be sent anonymously or with basic authentication.
Request Parameters
Query params
| count | int | [optional] The maximum number of results to return. When not specified, the top 10 results are returned. When a negative number is specified, returns all search results regardless of their total count. |
|---|---|---|
| projectUrls | string | [deprecated] Same as projectIds. |
| projectIds | string | [optional] A comma-separated list of project/publication IDs to search in. IDs of projects/publications you don't have access to will be ignored. |
| lang | string | [optional] A four-letter language code. If specified, only projects/publications in that language are searched. |
| isReturnSnippets | int | [optional] If true, returns ftsTitleHtml and ftsSnippetHtml in the response body. |
| q | string | The full-text search query. May contain any supported search operators. |
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/search?count=2&projectIds=project-deep-space-exploration, space-program-pub&lang=en-us&isReturnSnippets=1&q=nebula' |
Response body sample
JSON |
[JSON] [ { "assigneeUserName": 'admin', "createdOn": "2021-05-10T12:32:25", "ftsSnippetHtml": "...A <strong>nebula</strong> ( Latin for 'cloud' or 'fog'; <strong>nebulae</strong>, nebulæ or <strong>nebulas</strong> [3] [4] [5] [6]) is an interstellar cloud of dust, hydrogen, helium and other ionized gases. Originally, the term was used to describe any diffused astronomical...", "ftsTitleHtml": "New topic created with API", "fullUrl": "https://docs.hedron.org/articles/project-deep-space-exploration/nebula", "html": null, "id": "nebula", "indexKeywords": [ "cluster", "N", "nebula", "N, nebula" ], "modifiedOn": "2022-11-07T12:59:40", "ownerUserName": 'admin', "projectId": "project-deep-space-exploration", "projectTitle": "Project Deep Space Exploration", "projectUrl": "project-deep-space-exploration", "smartLink": "https://docs.hedron.org/smart/project-deep-space-exploration/nebula", "statusName": null, "title": "New topic created with API", "tocNodeId": "cd1ad87f-55a4-46e5-b496-c3434d555cd1", "url": "nebula" }, { "assigneeUserName": 'admin', "createdOn": "2022-10-25T13:32:19", "ftsSnippetHtml": "...A <strong>nebula</strong> ( Latin for 'cloud' or 'fog'; <strong>nebulae</strong>, nebulæ or <strong>nebulas</strong> [3] [4] [5] [6]) is an interstellar cloud of dust, hydrogen, helium and other ionized gases. Originally, the term was used to describe any diffused astronomical...", "ftsTitleHtml": "<strong>Nebula</strong>", "fullUrl": "https://docs.hedron.org/articles/space-program-pub/nebula", "html": null, "id": "nebula", "indexKeywords": [], "modifiedOn": "2022-10-25T13:32:27", "ownerUserName": 'admin', "projectId": "space-program-pub", "projectTitle": "Space Program Pub", "projectUrl": "space-program-pub", "smartLink": "https://docs.hedron.org/smart/project-deep-space-exploration/nebula", "statusName": null, "title": "Nebula", "tocNodeId": "cd1ad87f-55a4-46e5-b496-c3434d555cd1", "url": "nebula" } ] |
Response fields
| assigneeUserName |
Topic assignee's login.
|
|---|---|
| body | The content of the <body> tag of the topic. Returns null for all methods except Get Topic. |
| createdOn | An ISO 8601 timestamp of the topic creation date. GMT timezone. |
|
ftsSnippetHtml
|
The HTML markup of the topic title with a full-text search query matches highlighted. Populated only when isReturnSnippets is greater than zero. |
|
ftsTitleHtml
|
The HTML markup of a topic content snippet with a full-text search query matches highlighted. Populated only when isReturnSnippets is greater than zero. |
|
fullUrl
|
Full topic URL.
|
|
html
|
The HTML content of the topic. Returns null for all methods except Get Topic. |
|
id
|
The ID of the topic.
|
|
indexKeywords
|
An array of strings containing index keywords associated with the topic. Hierarchical keywords are represented as comma-separated values. |
|
modifiedOn
|
An ISO 8601 timestamp of the topic modification date. GMT timezone. |
|
ownerUserName
|
Topic owner's login.
|
|
projectId
|
The unique identifier of the project or publication. |
|
projectTitle
|
The title of the project or publication the topic belongs to.
|
|
projectUrl
|
[deprecated] Same as projectId.
|
|
smartLink
|
Smart link generated for the topic.
|
|
statusName
|
Topic's workflow status.
|
|
title
|
The topic title.
|
|
tocNodeId
|
The ID of the TOC node associated with the topic.
|
|
url
|
[deprecated] Same as id. |